Open Infrastructure - Task #6297

Update redmine on redmine.ungleich.ch

12/29/2018 01:45 PM - Nico Schottelius

Status: Closed Start date: 12/29/2018
Priority: Normal Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

Current version:

Environment:
Redmine version 3.4.1.stable
Ruby version 2.3.4-p301 (2017-03-30) [x86_64-1inux]
Rails version 4.2.8
Environment production
Database adapter PostgreSQL
SCM:
Mercurial 3.1.2
Git 2.1.4
Filesystem
Redmine plugins:
redmine_helpdesk 0.0.15
redmine_mattermost 0.6

app@redmine:~/redmine$ git describe

fatal: No tags can describe '6el16ab0c60690dc0907499e55£7060c294c6b95d".

History

#1 - 12/29/2018 01:55 PM - Nico Schottelius
app@redmine:~/redmine$ git checkout -b 4.0-stable origin/4.0-stable

app@redmine:~/redmine$ bundle install —--without development test

bundle update
bundle exec rake db:migrate RAILS_ENV=production

app@redmine:~/redmine$ bundle exec rake db:migrate RAILS_ENV=production
rake aborted!

NoMethodError: undefined method “alias_method_chain' for Journal (call 'Journal.connection' to establish a con
nection) :Class

Did you mean? alias_method

/home/app/redmine/plugins/redmine_helpdesk/lib/journal_patch.rb:7:in “block in included'
/home/app/redmine/plugins/redmine_helpdesk/lib/journal_patch.rb:6:in “class_eval'
/home/app/redmine/plugins/redmine_helpdesk/lib/journal_patch.rb:6:in " included'
/home/app/redmine/plugins/redmine_helpdesk/lib/journal_patch.rb:39:in "“include’
/home/app/redmine/plugins/redmine_helpdesk/lib/journal_patch.rb:39:in '<top (required)>"'

/home/app/redmine/plugins/redmine_helpdesk/init.rb:4:in " <top
/home/app/redmine/lib/redmine/plugin.rb:173:in ‘block in load'

(required)>"

/home/app/redmine/lib/redmine/plugin.rb:164:in “each'
/home/app/redmine/lib/redmine/plugin.rb:164:in " load'
/home/app/redmine/config/initializers/30-redmine.rb:21:in " <top
‘<top (required)>'
“load'

“<main>'

(required)>"
/home/app/redmine/config/environment.rb:14:1in
/home/app/.rbenv/versions/2.3.4/bin/bundle:22:
/home/app/.rbenv/versions/2.3.4/bin/bundle:22:
Tasks: TOP => db:migrate => db:load_config =>

(See full trace by running task with —--trace)

app@redmine:~/redmine$

in
in
environment

app@redmine:~/redmine$ mv /home/app/redmine/plugins/redmine_helpdesk ~

app@redmine:~/redmine$ bundle exec rake db:migrate RAILS_ENV=production
rake aborted!
NoMethodError: undefined method "to_prepare'
Did you mean? to_param

for ActionDispatch::Callbacks:Class

/home/app/redmine/plugins/redmine_mattermost/init.rb:26:in "<top (required)>'
/home/app/redmine/lib/redmine/plugin.rb:173:in “block in load'
/home/app/redmine/lib/redmine/plugin.rb:164:in “each'
/home/app/redmine/lib/redmine/plugin.rb:164:in "load'
/home/app/redmine/config/initializers/30-redmine.rb:21:in "<top (required)>"'
"<top (required)>"'

/home/app/redmine/config/environment .rb:14:in

/home/app/.rbenv/versions/2.3.4/bin/bundle:22:
/home/app/.rbenv/versions/2.3.4/bin/bundle:22:

Tasks: TOP => db:migrate => db:load_config =>
(See full trace by running task with —--trace)
You have new mail in /var/mail/app

in “load'
in "~ <main>

environment

app@redmine:~/redmine$ mv /home/app/redmine/plugins/redmine_mattermost ~

app@redmine:~/redmine$

app@redmine:~/redmine$ mv /home/app/redmine/plugins/redmine_mattermost ~
app@redmine:~/redmine$ bundle exec rake db:migrate RAILS_ENV=production

== 20170723112801 RenameCommentsToContent: migrating

—— rename_column (:comments, :comments, :content)

-> 0.0086s

== 20170723112801 RenameCommentsToContent: migrated

== 20180913072918 AddVerifyPeerToAuthSources: migrating

— change_table (:auth_sources)
-> 0.0551s

== 20180913072918 AddVerifyPeerToAuthSources: migrated

== 20180923082945 ChangeSgliteBooleansTo0OAndl:
== 20180923082945 ChangeSgliteBooleansToOAndl:

== 20180923091603 ChangeSgliteBooleansDefault:
== 20180923091603 ChangeSgliteBooleansDefault:

app@redmine:~/redmine$ bundle exec rake redmine:plugins:migrate RAILS_ENV=production

migrating
migrated

migrating
migrated

(0.0093s)

(0.0554s) ==—===—====—==

(0.0001s) =============

(0.0000s) ===========—=

app@redmine:~/redmine$ bundle exec rake tmp:cache:clear RAILS_ENV=production

You have new mail in /var/mail/app
app@redmine:~/redmine$

Result:

e disabled (unused) plugins due to rails / ruby errors

Environment:
Redmine version 4.0.0.stable
Ruby version 2.3.4-p301 (2017-03-30) [x86_64-1linux]
Rails version SN
Environment production
Database adapter PostgreSQL
Mailer queue ActiveJdob: :QueueAdapters: :AsyncAdapter
Mailer delivery sendmail
SCM:
Mercurial Sod o2
Git 2.1
Filesystem

Redmine plugins:
no plugin installed

#2 - 12/29/2018 01:58 PM - Nico Schottelius

- Status changed from In Progress to Closed
